Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Interface CRDManager

    public interface CRDManager

Cached report data information manager.

Method Summary
`void` | `createCRD(java.lang.String loginUser, CRDInfo crdInfo)` Creates `CRD` with specified login user and `CRDInfo`.
`void` | `deleteCompletedCRD(java.lang.String loginUser, int id)` Deletes completed `CRD` task of specified login user and `CRD` id.
`void` | `deleteCompletedCRD(java.lang.String loginUser, int[] ids)` Deletes completed `CRD` task of specified login user and completed `CRD` id.
`void` | `deleteCRD(java.lang.String loginUser, CRDInfoKey crdKey)` Deletes `CRD` with specified login user and `CRDInfoKey`.
`CompletedCRDInfo` | `getCompletedCRD(java.lang.String loginUser, int id)` Gets Completed `CRD` with specified login user and completed `CRD` id.
`CRDInfo` | `getCRD(java.lang.String loginUser, CRDInfoKey crdKey)` Gets `CRD` with specified login user and `CRDInfoKey`.
`java.util.List<ParamInfo>` | `getParamInfos(java.lang.String loginUser, CRDInfoKey crdKey)` Gets parameter informations of specified login user and `CRDInfoKey`.
`java.util.Vector<CompletedCRDInfo>` | `listCompletedCRDs(java.lang.String loginUser)` Gets completed `CRD` tasks list of specified login user.
`java.util.Vector<CRDInfo>` | `listCRDs(java.lang.String loginUser)` Gets `CRDInfo` list with specified login user.
`java.util.Vector<RunningCRDInfo>` | `listRunningCRDs(java.lang.String loginUser)` Gets running `CRD` tasks list of the specified login user.
`void` | `updateCRD(java.lang.String loginUser, CRDInfo crdInfo)` Updates `CRD` with specified login user and `CRDInfo`.

Method Detail

### createCRD

    void createCRD(java.lang.String loginUser,
                   CRDInfo crdInfo)
                   throws CRDManageException

  Creates `CRD` with specified login user and `CRDInfo`.

  Parameters:
    `loginUser` - login user.
    `crdInfo` - CRD information.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### getCRD

    CRDInfo getCRD(java.lang.String loginUser,
                   CRDInfoKey crdKey)
                   throws CRDManageException

  Gets `CRD` with specified login user and `CRDInfoKey`.

  Parameters:
    `loginUser` - login user.
    `crdKey` - CRD information key.
  Returns:
    CRD information.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### deleteCRD

    void deleteCRD(java.lang.String loginUser,
                   CRDInfoKey crdKey)
                   throws CRDManageException

  Deletes `CRD` with specified login user and `CRDInfoKey`.

  Parameters:
    `loginUser` - login user.
    `crdKey` - CRD information key.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### updateCRD

    void updateCRD(java.lang.String loginUser,
                   CRDInfo crdInfo)
                   throws CRDManageException

  Updates `CRD` with specified login user and `CRDInfo`.

  Parameters:
    `loginUser` - login user.
    `crdInfo` - CRD information key.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### listCRDs

    java.util.Vector<CRDInfo> listCRDs(java.lang.String loginUser)
                                       throws CRDManageException

  Gets `CRDInfo` list with specified login user. be thrown.

  Parameters:
    `loginUser` - login user.
  Returns:
    CRD list.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### listRunningCRDs

    java.util.Vector<RunningCRDInfo> listRunningCRDs(java.lang.String loginUser)
                                                     throws CRDManageException

  Gets running `CRD` tasks list of the specified login user.

  Returns:
    Running `CRD` list.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### deleteCompletedCRD

    void deleteCompletedCRD(java.lang.String loginUser,
                            int id)
                            throws CRDManageException

  Deletes completed `CRD` task of specified login user and `CRD` id.

  Parameters:
    `loginUser` - login user.
    `id` - completed `CRD` id.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### deleteCompletedCRD

    void deleteCompletedCRD(java.lang.String loginUser,
                            int[] ids)
                            throws CRDManageException

  Deletes completed `CRD` task of specified login user and completed `CRD` id.

  Parameters:
    `loginUser` - login user.
    `id` - completed `CRD` id array.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### getCompletedCRD

    CompletedCRDInfo getCompletedCRD(java.lang.String loginUser,
                                     int id)
                                     throws CRDManageException

  Gets Completed `CRD` with specified login user and completed `CRD` id.

  Parameters:
    `loginUser` - login user.
    `id` - Completed `CRD` id.
  Returns:
    CompletedCRDInfo.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### listCompletedCRDs

    java.util.Vector<CompletedCRDInfo> listCompletedCRDs(java.lang.String loginUser)
                                                         throws CRDManageException

  Gets completed `CRD` tasks list of specified login user.

  Parameters:
    `loginUser` - login user.
  Returns:
    Vector contains of `CompletedCRDInfo`.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.

### getParamInfos

    java.util.List<ParamInfo> getParamInfos(java.lang.String loginUser,
                                            CRDInfoKey crdKey)
                                            throws CRDManageException

  Gets parameter informations of specified login user and `CRDInfoKey`.

  Parameters:
    `loginUser` - login user.
    `crdKey` - `CRD` information key.
  Returns:
    List of `ParamInfo`.
  Throws:
    `CRDManageException` - if errors occurs when managing `CRD`.
  See Also:
    `ParamInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD